Bug 175633 - irssi segfaults on startup in theme_init_module
irssi segfaults on startup in theme_init_module
Product: Fedora
Classification: Fedora
Component: irssi (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dams
Fedora Extras Quality Assurance
Depends On:
Blocks: FE5Target
  Show dependency treegraph
Reported: 2005-12-13 11:36 EST by David Cantrell
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-28 10:22:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
strace irssi > strace.log 2>&1 (19.12 KB, text/plain)
2006-01-26 14:40 EST, Jasper O. Hartline
no flags Details

  None (edit)
Description David Cantrell 2005-12-13 11:36:19 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20051211 Fedora/1.5-1.1 Firefox/1.5

Description of problem:
When I try to start irssi, it fails:

dcantrel@mortise:~$ irssi

** (process:12826): CRITICAL **: theme_init_module: assertion `formats != NULL' failed
Segmentation fault (core dumped)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Open terminal
2. Type irssi
3. See irssi crash

Actual Results:  segfault

Expected Results:  irssi should have run

Additional info:
Comment 1 Dams 2005-12-13 15:04:56 EST
I'll update to final 0.8.10 release in a few days, I dont see this problem on
fc4. Any specific stuff in irssi configuration ? Modules, scripts, etc.
Comment 2 David Cantrell 2005-12-13 16:33:26 EST
I have no modules or scripts or anything beyond the default configuration.  I
moved my config file out of the way and tried running it again and it segfaulted

theme_init_module() seems to be the place where it's failing
(src/fe-common/core/themes.c) on a hash table lookup, which is implemented using
glib.  Irssi was working fine on rawhide for me up until a day or so ago and I
think there is a new glib.
Comment 3 Nalin Dahyabhai 2006-01-06 15:53:07 EST
The crash David describes occurs dependably with glib 2.9.*, but it works again
if you downgrade to 2.8.4-1.  Rebuilding without garbage collection enabled
seems to keep it from crashing at that point (there's a crash at exit, but I
haven't chased that down yet).
Comment 4 Nalin Dahyabhai 2006-01-06 16:06:53 EST
The crash at exit is already reported as #355 in the upstream bug tracker
Comment 5 David Cantrell 2006-01-23 16:51:21 EST
The 27-Dec-2005 build of irssi in extras-development is still broken.  Can we
get that package built without garbage collection enabled as Nalin indicated and
with the patch included on this page:

Comment 6 David Cantrell 2006-01-23 16:52:22 EST
I guess I don't need to use HTML markup in followups.  I learn something new
about Bugzilla each day.
Comment 7 Jasper O. Hartline 2006-01-26 14:37:47 EST
An installed irssi from today Jan 26th, 2006 also Segfaults.
I'll attach an strace output if it will help at all.

[root@SMP-NODE-0 ~]# irssi
Segmentation fault (core dumped)
[root@SMP-NODE-0 ~]# rpm -q irssi
[root@SMP-NODE-0 ~]#
Comment 8 Jasper O. Hartline 2006-01-26 14:40:39 EST
Created attachment 123733 [details]
strace irssi > strace.log 2>&1
Comment 9 Till Maas 2006-08-26 16:53:17 EDT
the patch seems to be included and irsii does not segfault on fc-5

Can this bug be closed?
Comment 10 David Cantrell 2006-08-28 10:22:37 EDT
I don't see why not.  I stopped using irssi since it was never fixed for the
longest time.  If you say it works, let's close this bug because I've stopped
caring about it.

Note You need to log in before you can comment on or make changes to this bug.